# Generated by Django 4.0.3 on 2024-05-03 11:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0030_remove_funding_policy_remove_institute_policy_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Colleg',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Policyguide',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('score1', models.CharField(default='NONE', max_length=30)),
                ('score2', models.CharField(default='NONE', max_length=30)),
                ('dmp_recommendation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool')),
                ('kind', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Policies.policy_kind')),
                ('storage_recommendation', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool')),
                ('tasks', models.ManyToManyField(to='Policies.checklisttask')),
            ],
        ),
        migrations.CreateModel(
            name='Institute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(max_length=30)),
                ('policy', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide')),
                ('university', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.colleg')),
            ],
        ),
        migrations.CreateModel(
            name='Funding',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='NONE', max_length=30)),
                ('acronym', models.CharField(default='NONE', max_length=30)),
                ('policy', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide')),
            ],
        ),
        migrations.AddField(
            model_name='colleg',
            name='policy',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide'),
        ),
    ]
